summaryrefslogtreecommitdiffstats
path: root/source/l/fftw
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/l/fftw
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/l/fftw')
-rwxr-xr-xsource/l/fftw/fftw.SlackBuild106
1 files changed, 55 insertions, 51 deletions
diff --git a/source/l/fftw/fftw.SlackBuild b/source/l/fftw/fftw.SlackBuild
index ffed6f95c..98cfe39f8 100755
--- a/source/l/fftw/fftw.SlackBuild
+++ b/source/l/fftw/fftw.SlackBuild
@@ -3,9 +3,10 @@
# Slackware build script for fftw
# Written by Kyle Guinn <elyk03@gmail.com>
-PRGNAM=fftw
-VERSION=${VERSION:-3.2.2}
+PKGNAM=fftw
+VERSION=${VERSION:-3.3.3}
BUILD=${BUILD:-1}
+NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -19,65 +20,39 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM-$VERSION
+PKG=$TMP/package-$PKGNAM-$VERSION
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS CONVENTIONS COPY* INSTALL NEWS README* TODO doc/html"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
+ SIMD="--enable-sse2 --enable-avx"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
+ SIMD="--enable-sse2 --enable-avx"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ SIMD="--enable-sse2 --enable-avx"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
-fi
-
-if [ "${PORTABLE:-yes}" = "no" ]; then
- # According to doc/fftw3.pdf the configure script should choose the best
- # value for $CFLAGS. These variables must be unset so that the configure
- # script will decide.
-
- # If you are interested in further optimizations such as alternative
- # multithreading and support for other processors, check this page for
- # details:
- # http://www.fftw.org/fftw3_doc/Installation-on-Unix.html
- unset CFLAGS
- unset CXXFLAGS
- unset FFLAGS
- PKGARCH="custom"
- do_portable=""
-else
- PKGARCH=$ARCH
- do_portable="--enable-portable-binary"
-fi
-
-if [ "${SSE:-no}" = "no" ]; then
- do_sse=""
-else
- do_sse="--enable-sse"
-fi
-
-if [ "${SSE2:-no}" = "no" ]; then
- do_sse2=""
-else
- do_sse2="--enable-sse2"
+ SIMD=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
-cd $PRGNAM-$VERSION
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-st .
+# fix cflags
+sed -i "s|-mtune=native|$SLKCFLAGS|" configure
+
# compile libfftw3
./configure \
--prefix=/usr \
@@ -90,10 +65,13 @@ chmod -R u+w,go+r-w,a-st .
--enable-shared \
--disable-static \
--enable-threads \
- $do_sse2 \
- $do_portable
-make -j4 || exit 1
+ --enable-openmp \
+ $SIMD \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
make install-strip DESTDIR=$PKG || exit 1
+make clean
# compile libfftw3f
./configure \
@@ -107,11 +85,14 @@ make install-strip DESTDIR=$PKG || exit 1
--enable-shared \
--disable-static \
--enable-threads \
+ --enable-openmp \
--enable-float \
- $do_sse \
- $do_portable
-make -j4 || exit 1
+ $SIMD \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
make install-strip DESTDIR=$PKG || exit 1
+make clean
# compile libfftw3l
./configure \
@@ -125,9 +106,31 @@ make install-strip DESTDIR=$PKG || exit 1
--enable-shared \
--disable-static \
--enable-threads \
+ --enable-openmp \
--enable-long-double \
- $do_portable
-make -j4 || exit 1
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+make clean
+
+# compile libfftw3q
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/fftw-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --enable-threads \
+ --enable-openmp \
+ --enable-quad-precision \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
make install-strip DESTDIR=$PKG || exit 1
( cd $PKG/usr/man
@@ -141,12 +144,13 @@ make install-strip DESTDIR=$PKG || exit 1
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ AUTHORS CONVENTIONS COPY* INSTALL NEWS README* TODO doc/html \
+ $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD.txz